package tree

import "time"

type MetricsRegister interface {
	AddReplicateTaskDuration(time.Duration, bool)
	AddReplicateWaitDuration(time.Duration, bool)
	AddSyncDuration(time.Duration, bool)
}

type defaultMetricsRegister struct{}

func (defaultMetricsRegister) AddReplicateTaskDuration(time.Duration, bool) {}
func (defaultMetricsRegister) AddReplicateWaitDuration(time.Duration, bool) {}
func (defaultMetricsRegister) AddSyncDuration(time.Duration, bool)          {}
