package commonflags

const (
	ConfigFlag          = "config"
	ConfigFlagShorthand = "c"
	ConfigFlagUsage     = "Config file"

	ConfigDirFlag      = "config-dir"
	ConfigDirFlagUsage = "Config directory"

	Verbose          = "verbose"
	VerboseShorthand = "v"
	VerboseUsage     = "Verbose output"

	EndpointFlag      = "rpc-endpoint"
	EndpointFlagDesc  = "N3 RPC node endpoint"
	EndpointFlagShort = "r"

	AlphabetWalletsFlag     = "alphabet-wallets"
	AlphabetWalletsFlagDesc = "Path to alphabet wallets dir"

	LocalDumpFlag                   = "local-dump"
	ContractsInitFlag               = "contracts"
	ContractsInitFlagDesc           = "Path to archive with compiled FrostFS contracts (the default is to fetch the latest release from the official repository)"
	ContractsURLFlag                = "contracts-url"
	ContractsURLFlagDesc            = "URL to archive with compiled FrostFS contracts"
	EpochDurationInitFlag           = "network.epoch_duration"
	MaxObjectSizeInitFlag           = "network.max_object_size"
	RefillGasAmountFlag             = "gas"
	StorageWalletFlag               = "storage-wallet"
	ContainerFeeInitFlag            = "network.fee.container"
	ContainerAliasFeeInitFlag       = "network.fee.container_alias"
	CandidateFeeInitFlag            = "network.fee.candidate"
	WithdrawFeeInitFlag             = "network.fee.withdraw"
	MaintenanceModeAllowedInitFlag  = "network.maintenance_mode_allowed"
	HomomorphicHashDisabledInitFlag = "network.homomorphic_hash_disabled"
	CustomZoneFlag                  = "domain"
	AlphabetSizeFlag                = "size"
	AllFlag                         = "all"
)
